#ifdef PATCHED_STB_VORBIS
    #include "stb_vorbis_patched.c"
#else 
    #include "stb_vorbis.c"
#endif

#include <stdio.h>
#include <assert.h>

int main(int argc, char** argv)
{
    assert(argc == 2); // provide a output filename for the decoded data
    short* output = 0;
    int channels = 0;
    int sample_rate = 0;
    int sample_count = stb_vorbis_decode_filename("file_example_OOG_1MG.ogg", &channels, &sample_rate, &output);
    assert(sample_count != -1);
    printf("Decoded %i samples.\n", sample_count);
    FILE* f = fopen(argv[1], "wb");
    fwrite(output, sample_count, sizeof(short), f);
    fclose(f);
    //int samples_count = stb_vorbis_decode_memory(mem.ptr, mem.size, &channels, &sample_rate, &decoded);
}
